/*
** $Id: lundump.h,v 1.35 2005/05/12 00:26:50 lhf Exp $
** load pre-compiled Lua chunks
** See Copyright Notice in lua.h
*/

#ifndef lundump_h
#define lundump_h

#include "lobject.h"
#include "lzio.h"

/* load one chunk; from lundump.c */
LUAI_FUNC Proto* luaU_undump (lua_State* L, ZIO* Z, Mbuffer* buff, Mbuffer *ignored, const char *name);

/* find byte order; from lundump.c */
LUAI_FUNC int luaU_endianness (void);

/* dump one chunk; from ldump.c */
LUAI_FUNC int luaU_dump (lua_State* L, const Proto* f, lua_Chunkwriter w, void* data, int strip);

/* print one chunk; from print.c */
LUAI_FUNC void luaU_print (const Proto* f, int full);

/* ARANHA: Changed the following to ensure the binary chunks are incompatible
   with non-aranha binaries
*/

/* definitions for headers of binary files */
#define	VERSION		0xA1		/* leading A is aranha, trailing number
                                           means that the last format change 
                                           was in 1.0 */

/* a multiple of PI for testing native format */
/* multiplying by 1E7 gives non-trivial integer values */
#define	TEST_NUMBER	((lua_Number)31415926.0)

#endif
